# TODO
# - unvendor vendor/luabins
# - unvendor vendor/luajit
# - unvendor vendor/universalchardet
# - our cxxflags

# Conditional build:
%bcond_without	ffms2	# build ffms2 A/V provider

Summary:	Subtitle editor
Summary(pl.UTF-8):	Edytor napisów
Name:		aegisub
Version:	3.2.1
Release:	2
License:	BSD
Group:		X11/Applications
Source0:	http://ftp.aegisub.org/pub/releases/%{name}-%{version}.tar.xz
# Source0-md5:	ff50e925eb96c69d928811e93a045a6b
URL:		http://www.aegisub.net/
# AC_AGI_COMPILE tries to run test program which tries to open device and most likely fails
#BuildRequires:	OpenAL-devel >= 0.0.8
BuildRequires:	OpenGL-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	boost-devel >= 1.50.0
%{?with_ffms2:BuildRequires:	ffms2-devel >= 2.16}
BuildRequires:	fftw3-devel >= 3.3
BuildRequires:	fontconfig-devel >= 1:2.4
# pkgconfig(freetype2) >= 9.7.0
BuildRequires:	freetype-devel >= 1:2.1.9
BuildRequires:	gettext-tools
BuildRequires:	hunspell-devel >= 1.2.0
BuildRequires:	intltool
BuildRequires:	libass-devel >= 0.9.7
BuildRequires:	libicu-devel >= 4.8.1.1
BuildRequires:	libstdc++-devel
BuildRequires:	lua51-devel
BuildRequires:	pkgconfig >= 1:0.20
BuildRequires:	portaudio-devel >= 19
BuildRequires:	pulseaudio-devel >= 0.5
BuildRequires:	tar >= 1:1.22
BuildRequires:	wxGTK2-unicode-gl-devel >= 3.0.0
BuildRequires:	wxWidgets-devel >= 3.0.0
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires:	ffms2 >= 2.16
Requires:	fftw3 >= 3.3
Requires:	fontconfig-libs >= 1:2.4
Requires:	freetype >= 1:2.1.9
Requires:	hunspell >= 1.2.0
Requires:	libass >= 0.9.7
Requires:	libicu >= 4.8.1.1
Requires:	pulseaudio-libs >= 0.5
# missing atomic_ops
ExcludeArch:	i386 i486
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Aegisub is an advanced subtitle editor for Windows, and UNIX-like
systems, such as Linux, Mac OS X and BSD. It is open source software
and free for any use.

Aegisub natively works with the Advanced SubStation Alpha format
(aptly abbreviated ASS) which allows for many advanced effects in the
subtitles, apart from just basic timed text. Aegisubs goal is to
support using these advanced functions with ease.

%description -l pl.UTF-8
Aegisub to zaawansowany edytor napisów dla Windows oraz systemów
uniksowych, takich jak Linux, Mac OS X czy BSD. Jest to program o
otwartych źródłach, darmowy do dowolnego użytku.

Aegisub działa natywnie na formacie Advanced SubStation Alpha (w
stosownym skrócie ASS), pozwalającym na wiele zaawansowanych efektów w
napisach, poza samym powiązaniem z czasem. Celem Aegisubs jest łatwa
obsługa tych zaawansowanych funkcji.

%prep
%setup -q

%{__mv} vendor{,.keep}
mkdir vendor
%{__mv} vendor.keep/{luabins,luajit,universalchardet} vendor

%build
%configure \
	--disable-update-checker \
	%{__with_without ffms2} \
	--without-oss \
	--with-player-audio=PulseAudio \
	--with-wx-config=wx-gtk2-unicode-config

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ln -s %{name}-3.2 $RPM_BUILD_ROOT%{_bindir}/%{name}

%{__mv} $RPM_BUILD_ROOT%{_localedir}/{fr_FR,fr}
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{pt_PT,pt}
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{sr_RS,sr}
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{sr_RS,sr}@latin
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{uk_UA,uk}

%find_lang %{name}-32

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database
%update_icon_cache hicolor

%postun
%update_desktop_database
%update_icon_cache hicolor

%files -f %{name}-32.lang
%defattr(644,root,root,755)
%doc LICENCE README.md
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/%{name}-3.2
%{_datadir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%changelog
* Sun Nov 09 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/aegisub.git;a=log;h=master

* Sun Nov 09 2014 Jan Rękorajski <baggins@pld-linux.org> dd7e4de
- another locale needed fixing its name
- rel 2

* Wed Oct 29 2014 Jan Rękorajski <baggins@pld-linux.org> 0f6f4e9
- up to 3.2.1

* Mon Oct 27 2014 Jan Rękorajski <baggins@pld-linux.org> 4335b7f
- release 5 (by relup.sh)

* Wed Oct 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 8f4b614
- release 4 (by relup.sh)

* Thu Sep 11 2014 Jakub Bogusz <qboosh@pld-linux.org> 553a2ba
- pl, package locaes under proper name, more versioned dependencies

* Fri Sep 05 2014 Elan Ruusamäe <glen@delfi.ee> 810a0d1
- rm -r locales

* Sun Aug 31 2014 Elan Ruusamäe <glen@delfi.ee> 212f2f2
- desktop scripts/deps

* Sun Aug 31 2014 Elan Ruusamäe <glen@delfi.ee> d40d8dd
- locale fixes

* Sun Aug 31 2014 Elan Ruusamäe <glen@delfi.ee> c0ccb66
- disable i486 due missing atomic ops

* Sun Aug 31 2014 Elan Ruusamäe <glen@delfi.ee> bebc09b
- BR gettext-tools, libicu-devel

* Sun Aug 31 2014 Elan Ruusamäe <glen@delfi.ee> 1987c5f
- build with ffms2 A/V provider

* Sun Aug 31 2014 Elan Ruusamäe <glen@delfi.ee> 9006741
- package unversioned bin as well

* Sun Aug 31 2014 Elan Ruusamäe <glen@delfi.ee> fc87a4b
- clean (most of) vendors

* Sun Aug 31 2014 Elan Ruusamäe <glen@delfi.ee> f9d7036
- fix build with wxwidgets

* Sun Aug 31 2014 Elan Ruusamäe <glen@delfi.ee> 05156a5
- new, version 3.2.0

